<template>
<v-col cols="12" md="3" class="box-item-upload">
    <v-card>
        <v-card-text>
            <v-row>
                <v-col cols="12" class="text-center pb-0">
                    <v-btn color="primary btn-remove" rounded small @click="$emit('removeVideo', index)"><v-icon>mdi-close</v-icon></v-btn>
                </v-col>

                <v-col cols="12" class="text-center pt-0">
                    <v-img max-height="150" max-width="250" class="preview m-0" :src="(dado.cover ? dado.cover : '/imgs/n-image.jpg')" @click="$emit('selectCover',index)"></v-img>
                    <input
                    type="file"
                    class="files"
                    :id="`cover-${index}`"
                    :data-id="index"
                    accept="image/*"
                    v-on:input="value => $emit('cover', value)"/>
                </v-col>

                <v-col cols="6" class="pt-0 pb-0" v-if="dado.id"><v-btn title="Preview" color="success" block @click="$emit('preview', dado)"><v-icon>mdi-video</v-icon></v-btn></v-col>
                <v-col cols="6" class="pt-0 pb-0" v-if="dado.id">
                    <v-btn title="Alter Vídeo" color="error" block @click="$emit('alterVideo', `video-${index}`)"><v-icon>mdi-movie-edit</v-icon></v-btn>
                    <input
                    type="file"
                    class="files"
                    :id="`video-${index}`"
                    :data-id="index"
                    accept="video/mp4"
                    v-on:input="value => $emit('setVideo', value)"/>
                </v-col>

                <v-col cols="12" class="pt-0 pb-0">
                    <v-text-field v-bind:value="dado.name" v-on:input="value => $emit('name', value)" v-on:rules="$emit('ruleName', dado.name)" :rules="rules.name" label="Name"/>
                </v-col>

                <v-col cols="12" class="pt-0 pb-0">
                    <v-combobox
                    v-bind:value="dado.category"
                    v-on:change="value => $emit('category', value)"
                    clearable
                    :items="categories"
                    label="Category"
                    v-on:rules="$emit('ruleCategory', dado.category)"
                    :rules="rules.category"></v-combobox>
                </v-col>

                <v-col cols="12" class="pt-0 pb-0">
                    <v-combobox
                    v-bind:value="dado.playlist"
                    v-on:change="value => $emit('playlist', value)"
                    clearable
                    :items="playlists"
                    label="Playlist"
                    append-icon="mdi-plus"
                    @click:append="$emit('windowPlaylist')"
                    ></v-combobox>
                </v-col>

                <v-col cols="12" class="pt-0 pb-0"><v-progress-linear v-bind:value="dado.progress" v-on:input="value = $emit('progress', value)"></v-progress-linear></v-col>
                <v-col cols="12" class="pt-0"><v-divider/></v-col>
            </v-row>
        </v-card-text>
    </v-card>
</v-col>
</template>

<script>
export default {
  name: 'IndexItem',
  props: {
    dado: Object,
    index: Number,
    categories: Array,
    playlists: Array,
    rules: Object,
    path: String
  }
}
</script>

<style>
    .box-item-upload{
        position: relative;
    }
    .box-item-upload .btn-remove{
        position: absolute;
        top:-10px;
        left: -10px;
        z-index: 3;
    }
</style>
